# Interface IGenerateMutationOptions

interface IGenerateMutationOptions {
operation: "insert" | "update" | "delete";
queryName?: string;
returning?: string;
tableName: string;
variables?: any;
}

#### Hierarchy (view full)

- IGenerateMutationOptions
  - IGenerateMutationResult

- Defined in work/deeplinks/deeplinks/imports/gql/mutation.ts:21

#####
Index

### Properties

operation
queryName?
returning?
tableName
variables?

##
Properties

### operation

operation: "insert" | "update" | "delete"

- Defined in work/deeplinks/deeplinks/imports/gql/mutation.ts:23

### `Optional` queryName

queryName?: string

- Defined in work/deeplinks/deeplinks/imports/gql/mutation.ts:24

### `Optional` returning

returning?: string

- Defined in work/deeplinks/deeplinks/imports/gql/mutation.ts:25

### tableName

tableName: string

- Defined in work/deeplinks/deeplinks/imports/gql/mutation.ts:22

### `Optional` variables

variables?: any

- Defined in work/deeplinks/deeplinks/imports/gql/mutation.ts:26